function dop=dopScrnSet(dop)
% dopOSCCI Mark II: dopScrnSet ~ 20-11-2010 (last edit)
%
% setup manual screening details
%

% -------------------------------------------------------------------------
%     'dopOSCCI' summarises functional transcranial Doppler ultrasonography
%     (fTCD) data.  The primary function of the software is to assess the
%     hemispheric lateralization of cognitive function.
%
%     Copyright (C) 2011 the Chancellor, Masters and Scholars of the
%     University of Oxford.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/> 
%     or write to the Free Software Foundation, Inc., 51 Franklin Street,
%     Fifth Floor, Boston, MA 02110-1301, USA.
%
%     Authors: Nic Badcock, Georgina Holt, Anneka Holden, & Dorothy Bishop.
%       contact: nicholas.badcock@gmail.com
%
%     Type 'dopOSCCIlicense' for license details or see dopOSCCIlicense.txt
%
fprintf('%s\n',['Running ',mfilename]);
try
    if dop.def.scrnFileChk % request to check session file
        if iscell(dop.def.scrnFileNameLoc)
            fprintf('\t%s\n\t\t%s\n','Checking Manual Screening file:',dop.def.scrnFileNameLoc{1});
        else
            fprintf('\t%s\n\t\t%s\n','Checking Manual Screening file:',dop.def.scrnFileNameLoc);
        end
        dop.scrn.man=dopScrnChk(dop.def.scrnFileNameLoc,...
            'fileList',dop.data.fileList,'dataDir',dop.def.dataDir);
        dop.def.scrnFileChk=dop.scrn.man.okay;
    end
catch err
    %% catch dopOSCCI error
    save(dopOSCCIdebug(mfilename));throw(err);
end